Support » Plugin: Simple Calendar - Google Calendar Plugin » jQuery qTip v1 breaking all things JS

  • Resolved briansaycocie

    (@briansaycocie)


    Hello,

    I recently added your plugin to my site I’m building locally. When I add the short code, [google-calendar-events], to my visual editor, the calendar displays but I get a JavaScript error on my console:

    Cannot read property 'msie' of undefined

    It appears to be breaking all JS on my site. I removed all JS to troubleshoot, and the error still shows. I read there is a newer version of qTip… might be time to upgrade?

    Thanks for your work, quality plugin!

    Brian

    https://wordpress.org/plugins/google-calendar-events/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Contributor Ross Hanney

    (@rosshanney)

    Hello Brian,

    Yeah, qTip probably does need updating. However, if everything is loaded correctly, qTip v1 works fine with the current version of jQuery included with WordPress. It sounds like something (your theme or another plugin) is incorrectly loading its own version of jQuery, and not including the jQuery migrate script (which WordPress does by default).

    You could try installing this little plugin I made, which just attempts to load the jQuery migrate script.

    It was indeed the migrate script I was missing. Thanks Ross!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘jQuery qTip v1 breaking all things JS’ is closed to new replies.